# Deletes all the stored data associated with the consent

Deletes all the stored data associated with the consent

Endpoint: DELETE /stored-data/v1/consents/{consentId}
Version: all
Security: Bearer

## Security:

  - `Bearer` (unknown)
    http bearer scopes: api:stored_data

## Path parameters:

  - `consentId` (string, required)
    Unique reference for the consent

## Response 204:

  - `204` (unknown)
    Successfully deleted the stored data

## Response 401:

  - `401` (unknown)
    The authorization header was invalid or not found

## Response 404:

  - `404` (unknown)
    No connected user found for consent

## Response 404 fields (application/json):

  - `code` (string)
    Error code.

  - `description` (string)
    Error message.

  - `details` (string)
    Error details.

  - `correlationId` (string)
    User transaction tracking Id

## Response 409:

  - `409` (unknown)
    A refresh is in progress for this consent

## Response 409 fields (application/json):

  - `code` (string)
    Error code.

  - `description` (string)
    Error message.

  - `details` (string)
    Error details.

  - `correlationId` (string)
    User transaction tracking Id

## Response 500:

  - `500` (unknown)
    A server error has occurred

## Response 500 fields (application/json):

  - `code` (string)
    Error code.

  - `description` (string)
    Error message.

  - `details` (string)
    Error details.

  - `correlationId` (string)
    User transaction tracking Id

